Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.support.incrementer
Interface DataFieldMaxValueIncrementer

All Known Implementing Classes:
  AbstractColumnMaxValueIncrementer, AbstractDataFieldMaxValueIncrementer, AbstractSequenceMaxValueIncrementer, DB2MainframeSequenceMaxValueIncrementer, DB2SequenceMaxValueIncrementer, DerbyMaxValueIncrementer, H2SequenceMaxValueIncrementer, HsqlMaxValueIncrementer, HsqlSequenceMaxValueIncrementer, MySQLMaxValueIncrementer, OracleSequenceMaxValueIncrementer, PostgreSQLSequenceMaxValueIncrementer, SqlServerMaxValueIncrementer, SybaseMaxValueIncrementer

    public interface DataFieldMaxValueIncrementer

Interface that defines contract of incrementing any data store field's maximum value. Works much like a sequence number generator.

Typical implementations may use standard SQL, native RDBMS sequences or Stored Procedures to do the job.

Author:
  Dmitriy Kopylenko, Jean-Pierre Pawlak, Juergen Hoeller

Method Summary
`int` | `nextIntValue()` Increment the data store field's max value as int.
`long` | `nextLongValue()` Increment the data store field's max value as long.
`String` | `nextStringValue()` Increment the data store field's max value as String.

Method Detail

### nextIntValue

    int nextIntValue()
                     throws DataAccessException

  Increment the data store field's max value as int.

  Returns:
    int next data store value such as max + 1
  Throws:
    `DataAccessException` - in case of errors

### nextLongValue

    long nextLongValue()
                       throws DataAccessException

  Increment the data store field's max value as long.

  Returns:
    int next data store value such as max + 1
  Throws:
    `DataAccessException` - in case of errors

### nextStringValue

    String nextStringValue()
                           throws DataAccessException

  Increment the data store field's max value as String.

  Returns:
    next data store value such as max + 1
  Throws:
    `DataAccessException` - in case of errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.